=== debian/changelog ===
sysdig (0.1.87-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1320890)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 24 Aug 2014 11:53:01 +0200

sysdig (0.1.87-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * New upstream release

  [ Harlan Lieberman-Berg ]
  * Tighten pandoc B-D
  * Add Harlan Lieberman-Berg as co-maintainer

 -- Evgeni Golov <evgeni@debian.org>  Thu, 07 Aug 2014 21:47:41 +0200

sysdig (0.1.86-2) unstable; urgency=medium

  * properly install Bash/Zsh completion on !Linux
    Closes: #755362

 -- Evgeni Golov <evgeni@debian.org>  Fri, 25 Jul 2014 08:38:36 +0200

sysdig (0.1.86-1) unstable; urgency=medium

  * New upstream release
    + Does not FTBFS on !Linux anymore
      Closes: #755362
  * Rebuild manpage using pandoc, instead of shipping the prebuilt version
  * Ship all upstream Zsh files

 -- Evgeni Golov <evgeni@debian.org>  Thu, 24 Jul 2014 07:55:34 +0200

sysdig (0.1.85-2) unstable; urgency=medium

  * Use dh_install --list-missing, thanks Felix Geyer
  * define /etc, so cmake does not try to install to /usr/etc...
  * properly install bash and zsh completions, thanks Felix Geyer

 -- Evgeni Golov <evgeni@debian.org>  Sun, 13 Jul 2014 11:52:44 +0200

sysdig (0.1.85-1) unstable; urgency=medium

  * New upstream release

 -- Evgeni Golov <evgeni@debian.org>  Sun, 13 Jul 2014 11:07:35 +0200

sysdig (0.1.84-1) unstable; urgency=medium

  * New upstream release
    + Now supports Lua as an alternative to LuaJIT, thanks Felix Geyer
  * Add Lua as an alternative Build-Dependency
  * Drop use-json.h-from-the-include-path-instead-of-hardcodi.patch
    it was merged upstream

 -- Evgeni Golov <evgeni@debian.org>  Fri, 27 Jun 2014 07:21:40 +0200

sysdig (0.1.83-1) unstable; urgency=medium

  * New upstream release
    + Does not try to insmod the module from ../../driver/ anymore.
      Closes: #747492

 -- Evgeni Golov <evgeni@debian.org>  Sat, 07 Jun 2014 11:40:54 +0200

sysdig (0.1.82-1) unstable; urgency=medium

  * New upstream release
  * do not require dpkg >= 1.17.0 anymore for building

 -- Evgeni Golov <evgeni@debian.org>  Thu, 08 May 2014 08:34:46 +0200

sysdig (0.1.81-1) unstable; urgency=medium

  * New upstream release
  * Add B-D on zlib1g-dev and use it for building
  * drop LuaJIT from debian/copyright, upstream does not ship the
    copy anymore
  * Only require and execute dh_dkms when building arch-independent
    stuff

 -- Evgeni Golov <evgeni@debian.org>  Thu, 01 May 2014 14:53:09 +0200

sysdig (0.1.79-1) unstable; urgency=low

  * Initial release (Closes: #743819)

 -- Evgeni Golov <evgeni@debian.org>  Sun, 06 Apr 2014 21:57:44 +0200
