## sysdig 0.1.88

=== debian/changelog ===
sysdig (0.1.88-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 28 Aug 2014 19:28:11 +0200

sysdig (0.1.88-1) unstable; urgency=medium

  * New upstream release
  * Drop process-the-scripts-directory-on-non-Linux-systems.patch,
    it was applied upstream.
  * d/watch: tighten the download URL to only release-tags

 -- Evgeni Golov <evgeni@debian.org>  Thu, 21 Aug 2014 15:56:56 +0200

sysdig (0.1.87-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

  [ Harlan Lieberman-Berg ]
  * Drop pandoc B-D and ship the prebuilt manpage, as pandoc from
    wheezy does not support GitHub markdown.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 15 Aug 2014 08:51:46 +0200
