## sysdig 0.1.89

=== debian/changelog ===
sysdig (0.1.89-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 01 Mar 2015 14:08:18 +0100

sysdig (0.1.89-1) unstable; urgency=low

  [ Evgeni Golov ]
  * New upstream release

  [ Harlan Lieberman-Berg ]
  * Install zsh tab completion files as per Debian layout. (Closes: #758823)

 -- Evgeni Golov <evgeni@debian.org>  Fri, 26 Sep 2014 14:57:58 +0200
