=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Evgeni Golov <evgeni@debian.org>
 Uploaders: Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>
-Build-Depends: debhelper (>= 9), cmake, pandoc (>= 1.11),
+Build-Depends: debhelper (>= 9), cmake,
  libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel] | liblua5.1-0-dev,
  libjsoncpp-dev, zlib1g-dev
 Build-Depends-Indep: dkms
