## sysdig 0.1.99

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,9 +48,10 @@
 
 	if(CMAKE_SYSTEM_NAME MATCHES "Linux")
 		add_subdirectory(driver)
-		add_subdirectory(scripts)
 		add_definitions(-DHAS_CAPTURE)
 	endif()
+
+	add_subdirectory(scripts)
 
 	if(CMAKE_SYSTEM_NAME MATCHES "SunOS")
 		set(CMD_MAKE gmake)
@@ -233,7 +234,7 @@
 
 set(CPACK_PACKAGE_NAME "sysdig")
 set(CPACK_PACKAGE_VENDOR "Draios Inc.")
-set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A system exploration and troubleshooting tool")
+set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "sysdig, a system-level exploration and troubleshooting tool")
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/scripts/description.txt")
 set(CPACK_PACKAGE_VERSION "${SYSDIG_VERSION}")
 set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CMAKE_SYSTEM_PROCESSOR}")
