=== userspace/libsinsp/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 add_library(sinsp STATIC
 	chisel.cpp
 	chisel_api.cpp
+	container.cpp
 	cyclewriter.cpp
 	event.cpp
 	eventformatter.cpp
