=== debian/changelog ===
sysdig (0.1.99-1) unstable; urgency=medium

  [ Harlan Lieberman-Berg ]
  * New upstream release.
  * Add patch to fix minor misspellings in manpage.
  * Tweak description to include keyword "statistics", more natural flow.
    Closes: #780338

  [ Evgeni Golov ]
  * Upload to unstable.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 09 May 2015 21:15:47 +0200

sysdig (0.1.97-1) experimental; urgency=medium

  * New upstream release.
    + Builds properly against kernel 3.19
      Closes: #774693
      LP: #1419402

 -- Evgeni Golov <evgeni@debian.org>  Sat, 28 Feb 2015 11:49:42 +0100

sysdig (0.1.92-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.6 (no changes needed).

 -- Evgeni Golov <evgeni@debian.org>  Fri, 14 Nov 2014 18:01:21 +0100
