=== userspace/sysdig/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,9 @@
 include_directories("${JSONCPP_INCLUDE}")
+
+if(NOT WIN32)
+	include_directories("${CURSES_INCLUDE_DIR}")
+endif()
+
 include_directories("${PROJECT_SOURCE_DIR}/common")
 include_directories("${PROJECT_SOURCE_DIR}/userspace/libscap")
 include_directories("${PROJECT_SOURCE_DIR}/userspace/libsinsp")
@@ -9,23 +14,42 @@
 	set(SOURCE_FILES
 		fields_info.cpp
 		sysdig.cpp)
+
+	set(SOURCE_FILES_CSYSDIG
+		fields_info.cpp
+		csysdig.cpp)
 else()
 	set(SOURCE_FILES
 		fields_info.cpp
 		sysdig.cpp
 		win32/getopt.c)
+
+	set(SOURCE_FILES_CSYSDIG
+		fields_info.cpp
+		csysdig.cpp
+		win32/getopt.c)
 endif()
 
 add_executable(sysdig ${SOURCE_FILES})
-
-target_link_libraries(sysdig
-	sinsp)
+add_executable(csysdig ${SOURCE_FILES_CSYSDIG})
 
 if(NOT WIN32)
+
+	target_link_libraries(sysdig
+		sinsp)
+
+	add_dependencies(csysdig ncurses)
+
+	target_link_libraries(csysdig
+		sinsp
+		"${CURSES_LIBRARIES}")
 
 	add_subdirectory(man)
 
 	install(TARGETS sysdig 
+		DESTINATION bin)
+
+	install(TARGETS csysdig 
 		DESTINATION bin)
 
 	install(DIRECTORY chisels
@@ -36,7 +60,15 @@
 
 else()
 
+	target_link_libraries(sysdig
+		sinsp)
+
+	target_link_libraries(csysdig
+		sinsp)
+
 	target_link_libraries(sysdig odbc32.lib odbccp32.lib)
+
+	target_link_libraries(csysdig odbc32.lib odbccp32.lib)
 
 	add_custom_command(TARGET sysdig POST_BUILD
 		COMMAND "${CMAKE_COMMAND}" -E copy_if_different
@@ -58,6 +90,11 @@
 			$<TARGET_FILE:sysdig>
 			"${PROJECT_BINARY_DIR}/$(Configuration)/sysdig.exe")
 
+	add_custom_command(TARGET csysdig POST_BUILD
+		COMMAND "${CMAKE_COMMAND}" -E copy_if_different
+			$<TARGET_FILE:csysdig>
+			"${PROJECT_BINARY_DIR}/$(Configuration)/csysdig.exe")
+
 endif()
 
-configure_file(config.h.in config.h)
+configure_file(config_sysdig.h.in config_sysdig.h)
