=== debian/changelog ===
sysdig (0.1.101-2build1) wily; urgency=medium

  * No-change rebuild against libjsoncpp0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 00:53:55 +0000

sysdig (0.1.101-2) unstable; urgency=medium

  * apply two patches from upstream to fix FTBFS on arm*
    Closes: #790828

 -- Evgeni Golov <evgeni@debian.org>  Fri, 03 Jul 2015 15:54:06 +0200

sysdig (0.1.101-1) unstable; urgency=medium

  * New upstream release.
  * add Build-Depends on libncurses5-dev, needed for csysdig
  * install csysdig binary
  * drop 0001-fix-length-spelling.patch, applied upstream
  * force use of system ncurses

 -- Evgeni Golov <evgeni@debian.org>  Sun, 14 Jun 2015 11:59:02 +0200
