=== debian/changelog ===
sysdig (0.2.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert upstream commit 28efbf676c2e9c5feabdc72b1f9bdbf68cde3303
    "use Json::Value::nullRef instead of Json::Value::null"
    Jessie's JSONcpp is too old.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 06 Oct 2015 18:28:13 +0200

sysdig (0.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sat, 19 Sep 2015 11:44:14 -0400

sysdig (0.1.101-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Disable use_json-value-nullref.patch, jsoncpp in Jessie is too old. 

 -- Evgeni Golov <evgeni@debian.org>  Mon, 28 Sep 2015 21:44:44 +0200
