=== debian/changelog ===
sysdig (0.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 17 Oct 2015 12:25:50 +0200
