=== debian/changelog ===
sysdig (0.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sun, 01 Nov 2015 16:12:54 -0500
